﻿aUF.Layouts.PerfectRaid = {
	Name = "PerfectRaid",
	Tip = "PerfectRaid Tip",
	ResizeBars = false,
	BackgroundBarColor = false,
	AlphaBar = false,
	RaidColorName = true,
	PetClassName = true,
	ComboGFX = true,
	HappinessBar = false,
	Portrait = false,
	Border = "Classic",

	Auras = {
--      all = {
			Left = {
				Point = "RIGHT",
				RelativePoint = "LEFT",
				x = 0,
				y = 0,
				GrowDirection = "left",
				Scale = 0.80,
				Alpha = 1,
			},
			Right = {
				Point = "LEFT",
				RelativePoint = "RIGHT",
				x = 0,
				y = 0,
				GrowDirection = "right",
				Scale = 0.80,
				Alpha = 1,
			},
			Above = {
				Point = "BOTTOMLEFT",
				RelativePoint = "TOPLEFT",
				x = 3,
				y = -0,
				GrowDirection = "right",
				Scale = "auto",
				AdjustAuto = 7,
				Alpha = 1,
			},
			Below = {
				Point = "TOPLEFT",
				RelativePoint = "BOTTOMLEFT",
				x = 3,
				y = 0,
				GrowDirection = "right",
				Scale = "auto",
				AdjustAuto = 7,
				Alpha = 1,
			},
			Inside = {
				Point = "TOPRIGHT",
				RelativePoint = "TOPRIGHT",
				x = -6,
				y = -6,
				GrowDirection = "left",
				Scale = 0.7,
				Alpha = 0.75,
			}
--      }
	},
		
	ThemeData = {
		all = {
			FrameHeight = 17,
			FrameWidth = 115,	

			HitIndicator = {
				Point = "CENTER",
				RelativePoint = "CENTER",
				x = 1,
				y = 1,	
			},

			Combo1 = {
            	Point = "BOTTOMRIGHT",
                RelativePoint = "BOTTOMRIGHT",
                x = 1,
                y = -1,

                HeightAdd = 0,
                Height = 10,
                Width = 10,
			},
								
			HealthBar_BG = {
            	Point = "TOPRIGHT",
                RelativeTo = "frame",
                RelativePoint = "TOPRIGHT",
                x = -5,
                y = -5,

                Visibility = {"HealthBar_BG","HealthBar","HealthText","NameLabel"},
                Height = 7,
                Width = 60,
			},
									
			ManaBar_BG = {
                Point = "TOPRIGHT",
                RelativeTo = "HealthBar_BG",
                RelativePoint = "BOTTOMRIGHT",
                x = 0,
                y = 0,

                Visibility = {"ManaBar_BG","ManaBar","ManaText","ClassText"},
                HeightAdd = 5,
                Height = 5,
                Width = 60,
			},
								
			XPBar_BG = {
                Point = "TOPRIGHT",
                RelativeTo = "ManaBar_BG",
                RelativePoint = "BOTTOMRIGHT",
                x = 0,
                y = 0,
                
                Point2 = "TOPRIGHT",
                RelativeTo2 = "HealthBar_BG",
                RelativePoint2 = "BOTTOMRIGHT",
                x = 0,
                y = 0,
                
                Visibility = {"XPBar_BG","XPBar",},
                HeightAdd = 2,
                Height = 2,
                Width = 60,
			},
            
            CastBar_BG = {
                Point = "TOPRIGHT",
                RelativeTo = "XPBar_BG",
                RelativePoint = "BOTTOMRIGHT",
                x = 0,
                y = 0,
                
                Point2 = "TOPRIGHT",
                RelativeTo2 = "ManaBar_BG",
                RelativePoint2 = "BOTTOMRIGHT",
                x2 = 0,
                y2 = 0,
                
                Point3 = "TOPRIGHT",
                RelativeTo3 = "HealthBar_BG",
                RelativePoint3 = "BOTTOMRIGHT",
                x3 = 0,
                y3 = 0,
                
                Visibility = {"CastBar_BG","CastBar","CastTest","BarCastText",},
                HeightAdd = 10,
                Height = 10,
                Width = 105,
            },
								
			NameLabel = {
                Point = "TOPLEFT",
                RelateiveTo = "frame",
                RelativePoint = "TOPLEFT",
                x = 5,
                y = -5,

            	Type = "string",
                Font = "Fonts\\FRIZQT__.TTF",
                FontSize = 9,
                Justify = "LEFT",
                Height = 5,
                Width = 55,
			},
					
			ClassText = {
                Point = "TOPLEFT",
                RelativeTo = "NameLabel",
                RelativePoint = "BOTTOMLEFT",
                x = 0,
                y = -1,

                Type = "string",
                Font = "Fonts\\FRIZQT__.TTF",
                FontSize = 6,
                Justify = "LEFT",
                Height = 5,
                Width = 55,
			},
				
			HealthText = {
                Point = "RIGHT",
                RelativeTo = "HealthBar_BG",
                RelativePoint = "RIGHT",
                x = -2,
                y = 0,

            	Type = "string",
                Font = "Fonts\\FRIZQT__.TTF",
                FontSize = 8,
                Justify = "RIGHT",
                Height = 5,
                Width = 60,
			},
					
			ManaText = {
                Point = "RIGHT",
                RelativeTo = "ManaBar_BG",
                RelativePoint = "RIGHT",
                x = -2,
                y = 0,

            	Type = "string",
                Font = "Fonts\\FRIZQT__.TTF",
                FontSize = 6,
                Justify = "RIGHT",
                Height = 5,
                Width = 60,
			},
            
            CastText = {                
                Point = "RIGHT",
            	RelativeTo = "CastBar_BG",
                RelativePoint = "RIGHT",
                x = 0,
                y = 0,

                Font = "Fonts\\FRIZQT__.TTF",
                FontSize = 6,
                Height = 1,
                Width = 60,
                
            },
            
            BarCastText = {                
                Point = "LEFT",
            	RelativeTo = "CastBar_BG",
                RelativePoint = "LEFT",
                x = 0,
                y = 0,
                
                EndPoint = "RIGHT",
                EndRelativeTo = "CastText",
                EndRelativePoint = "LEFT",
                Endx = 0,
                Endy = 0,

                Font = "Fonts\\FRIZQT__.TTF",
                FontSize = 6,
                Justify = "LEFT",
                Height = 1,
                Width = 60,                
            },
				
			PVPIcon = {
            	Point = "TOPRIGHT",
                RelativePoint = "TOPRIGHT",
                x = 14,
                y= 2,
			},

			InCombatIcon = {
            	Hidden = true,
			},

			RestingIcon = {
            	Hidden = true,
			},

			RaidTargetIcon = {
                Point = "CENTER",
                RelativePoint = "TOP",
                x = 0,
                y = -3,
			},
								
			LeaderIcon = {
                Point = "TOPLEFT",
                RelativePoint = "TOPLEFT",
                x = -2,
                y= 2,
			},
								
			MasterIcon = {
                Point = "TOPLEFT",
                RelativePoint = "TOPLEFT",
                x = -5,
                y= 2,
			},
            
			Portrait = {
                Hidden = true,
				Visibility = {"Portrait","PortraitModel"},
			},									
		},
	},
}
